Bug 190073 - CVE-2006-2071 mprotect gives write permission to a readonly attachment
CVE-2006-2071 mprotect gives write permission to a readonly attachment
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
impact=moderate,public=20060417
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 07:17 EDT by Marcel Holtmann
Modified: 2013-03-06 00:59 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 15:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (988 bytes, patch)
2006-06-01 11:58 EDT, Jason Baron
no flags Details | Diff

  None (edit)
Description Marcel Holtmann 2006-04-27 07:17:00 EDT
All of 2.4 and 2.6 kernels have been letting mprotect give write permission to a
readonly attachment of shared memory, whether or not IPC would give the caller
that permission.

SUS says "The behaviour of this function [mprotect] is unspecified if the
mapping was not established by a call to mmap", but I don't think we can
interpret that as allowing it to subvert IPC permissions.
Comment 2 Marcel Holtmann 2006-04-27 13:24:15 EDT
This is _not_ CVE-2006-1524. The commit message of the upstream fix is wrong.
Comment 4 Jason Baron 2006-06-01 11:58:55 EDT
Created attachment 130353 [details]
reproducer

better test program. returns PASS, FAIL, or ABORT.
Comment 5 Jason Baron 2006-08-21 16:47:19 EDT
committed in stream U5 build 42.2. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Jason Baron 2006-09-26 10:30:00 EDT
committed in stream E5 build 42.0.3
Comment 7 RHEL Product and Program Management 2006-09-27 17:32:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Jay Turner 2006-10-03 09:39:29 EDT
QE ack for 4.5.
Comment 11 Red Hat Bugzilla 2006-10-05 15:17:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0689.html

Note You need to log in before you can comment on or make changes to this bug.